---
repos:
  - name: Almalinux
    help: |
      Since we are officially listed, our mirror will be automatically selected if it fits best to your location
    additional: https://mirrors.almalinux.org/
    official: true

  - name: Alpine
    help: |
      Add the following lines to your **/etc/apk/repositories**:

      Replace "v3.19" with your release.

      ```
      http://pkg.adfinis-on-exoscale.ch/alpine/v3.7/main
      https://pkg.adfinis-on-exoscale.ch/alpine/v3.7/main
      ```
      After making changes to /etc/apk/repositories you should update the package index using:
      ```
      apk update
      ```
    additional: https://mirrors.alpinelinux.org/
    official: false

  - name: Arch Linux
    help: |
      You may add these lines to your **/etc/pacman.d/mirrorlist**:

      ```
      Server = https://pkg.adfinis-on-exoscale.ch/archlinux/$repo/os/$arch
      Server = http://pkg.adfinis-on-exoscale.ch/archlinux/$repo/os/$arch
      ```

      After creating/editing **/etc/pacman.d/mirrorlist**, issue the following command:
      ```
      pacman -Syy
      ```

    additional: https://www.archlinux.org/mirrors/adfinis-on-exoscale.ch/
    official: false
    localName: archlinux

  - name: CentOS
    help: |
      You can change the baseurl in **/etc/yum.repos.d/CentOS-Base.repo**:

      ```
      baseurl=http://pkg.adfinis-on-exoscale.ch/centos/$releasever/os/$basearch
      ```
    additional: http://mirror-status.centos.org/#ch
    official: false

  - name: CentOS Stream
    help: |
      Since we are officially listed, you don't need to configure anything special. Yum gets a computed list from http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=os.

      If you wish, you can change the baseurl in /etc/yum.repos.d/CentOS-Base.repo:

      ```
      baseurl=http://pkg.adfinis.com/centos/$releasever/os/$basearch
      ```
    additional: http://mirror-status.centos.org/#ch
    official: true

  - name: openSUSE
    official: true
    help: Since we are officially listed, our mirror will be automatically selected if it fits best to your location.
    additional: http://mirrors.opensuse.org

  - name: Debian
    help: |
      Add the following lines to your **/etc/apt/sources.list**:

      Replace "bookworm" with your release.

      ```
      deb http://pkg.adfinis-on-exoscale.ch/debian/ bookworm main contrib non-free non-free-firmware
      deb-src http://pkg.adfinis-on-exoscale.ch/debian/ bookworm main contrib non-free non-free-firmware

      deb http://pkg.adfinis-on-exoscale.ch/debian-security/ bookworm-security main contrib non-free non-free-firmware
      deb-src http://pkg.adfinis-on-exoscale.ch/debian-security/ bookworm-security main contrib non-free non-free-firmware

      deb http://pkg.adfinis-on-exoscale.ch/debian/ bookworm-updates main contrib non-free non-free-firmware
      deb-src http://pkg.adfinis-on-exoscale.ch/debian/ bookworm-updates main contrib non-free non-free-firmware
      ```
    additional: https://mirror-master.debian.org/status/mirror-status.html
    official: false

  - name: EPEL
    help: |
      Since we are officially listed, you can just install the corresponding epel-release package on your system:
      ```
      yum install http://pkg.adfinis-on-exoscale.ch/epel/epel-release-latest-5.noarch.rpm
      yum install http://pkg.adfinis-on-exoscale.ch/epel/epel-release-latest-6.noarch.rpm
      yum install http://pkg.adfinis-on-exoscale.ch/epel/epel-release-latest-7.noarch.rpm
      ```
      Yum will then get a computed list from https://mirrors.fedoraproject.org/metalink?repo=epel-7&arch=$basearch.
    additional: https://admin.fedoraproject.org/mirrormanager/mirrors
    official: true

  - name: Fedora
    help: |
      Since we are officially listed, you don't need to configure anything special. Yum gets a computed list from https://admin.fedoraproject.org/mirrormanager/mirrors/Fedora.
      If you wish, you can change the baseurl in /etc/yum.repos.d/CentOS-Base.repo:
      ```
      baseurl=http://pkg.adfinis-on-exoscale.ch/fedora/$releasever/os/$basearch
      ```
    additional: https://admin.fedoraproject.org/mirrormanager/mirrors
    official: true

  - name: Gentoo
    official: false

  - name: Ubuntu
    help: |
      Add the following lines to your **/etc/apt/sources.list**:

      Replace "noble" with your release.

      ```
      deb http://pkg.adfinis-on-exoscale.ch/ubuntu/ noble main restricted universe multiverse
      # deb-src http://pkg.adfinis-on-exoscale.ch/ubuntu/ noble main restricted universe multiverse

      deb http://pkg.adfinis-on-exoscale.ch/ubuntu/ noble-updates main restricted universe multiverse
      # deb-src http://pkg.adfinis-on-exoscale.ch/ubuntu/ noble-updates main restricted universe multiverse


      deb http://pkg.adfinis-on-exoscale.ch/ubuntu/ noble-backports main restricted universe multiverse
      # deb-src http://pkg.adfinis-on-exoscale.ch/ubuntu/ noble-backports main restricted universe multiverse

      deb http://pkg.adfinis-on-exoscale.ch/ubuntu noble-security main restricted universe multiverse
      # deb-src http://pkg.adfinis-on-exoscale.ch/ubuntu noble-security main restricted universe multiverse
      ```
    additional: https://launchpad.net/ubuntu/+mirror/pkg.adfinis-on-exoscale.ch-archive
    official: true

  - name: Rockylinux
    official: false

  - name: Arch Linux Debug
    help: |
      This repository has been provided to those interested in accessing debug packages.
      Besides debug packages, it includes everything including very old versions.

      Add/replace the following lines to your **/etc/pacman.d/mirrorlist**:
      ```
      Server = https://pkg.adfinis-on-exoscale.ch/archlinux-pkgbuild/$repo/os/$arch
      Server = http://pkg.adfinis-on-exoscale.ch/archlinux-pkgbuild/$repo/os/$arch
      ```
    localName: archlinux-pkgbuild

  - name: Debian Security
    help: |
      Add the following lines to your **/etc/apt/sources.list**:

      Replace "bookworm" with your release.

      ```
      deb http://pkg.adfinis-on-exoscale.ch/debian-security bookworm-security main contrib non-free
      deb-src http://pkg.adfinis-on-exoscale.ch/debian-security bookworm-security main contrib non-free
      ```

  - name: Manjaro
    help: |
      Add the following lines to your **/etc/pacman.d/mirrorlist**:

      Replace "<branch>" with your desired branch (for example stable for x86_64 or arm-stable for arm)

      ```
      Server = https://pkg.adfinis-on-exoscale.ch/manjaro/<branch>/$repo/$arch
      Server = http://pkg.adfinis-on-exoscale.ch/manjaro/<branch>/$repo/$arch
      ```
    imageExtension: svg
